<?php
/**
 * 
 * THIS SOFTWARE IS PROVIDED BY THE AUTHORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 * @package	is_email
 * @author	Codex-m <codex_m@yahoo.com>
 * Website: www.php-developer.org  
 * @license	Open source http://www.opensource.org/
  */
session_start();
$errors=array();
$privatekey = "RECAPTCHA PRIVATE KEY HERE";
$hash=md5($privatekey);
$recaptchavalidation = $_SESSION['validatesuccess'];
if ($recaptchavalidation <> $hash)
{
$errors[]= "ERROR: Wrong Recaptcha.";
}
$age =trim($_POST['age']);
if (empty($age)) {
$errors[] = 'ERROR: Your age is empty.';
}
if (!(is_numeric($age))) {
//not a number
$errors[] = 'ERROR: The submitted data is NOT a NUMBER';
}
$roundup= round($age);
$inttest= abs($roundup-$age);
if ($inttest !=0) {
//not an integer
$errors[] = 'ERROR: The submitted data is NOT an INTEGER. Only non-decimal values are allowed.';
}
if (($age < 0) || ($age == 0)) {
//less than
$errors[] = 'ERROR: Negative number is NOT allowed.';
}
if (sizeof($errors) > 0)
{
	echo "<ul>";
	foreach ($errors as $e)
	{
		echo "<li>$e</li>";
	}
	echo "</ul>";
	die ();
}
//data submitted by user are valid, determine age criteria
if ($age<18) {
	echo 'You are a minor!';
}
if (($age>17) && ($age<60)) {
    echo 'Your age belongs to the majority!';
}
if ($age>59) {
    echo 'You are a senior citizen!';
}
session_destroy();
?>