<?php
/**
 * 
 * THIS SOFTWARE IS PROVIDED BY THE AUTHORS "AS IS" AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR
 * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
 * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
 * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * 
 * @author	Codex-m <codex_m@yahoo.com>
 * Website: www.php-developer.org  
 * @license	Open source http://www.opensource.org/
  */
?>
<html>
<head>
<title>Using Recaptcha in AJAX Prototype Framework</title>
<script type="text/javascript" src="prototype.js"></script>
<script type="text/javascript">
function sendRequest() {
//Recaptcha Validation	
new Ajax.Request("/recaptchaajaxprototype/recaptchavalidate.php",
{
method: 'post',
parameters: 'recaptcha_challenge_field='+$F('recaptcha_challenge_field')+'&recaptcha_response_field='+$F('recaptcha_response_field'),
onComplete: EvaluateResponse
});
}
function EvaluateResponse(req){
	var response = req.responseText;
    var wrong = "Wrong";
	var compare ="Incorrect captcha";
	if (response==wrong) {
	alert(compare);
	Recaptcha.reload();
	}
	else {
	processdata();
	}
}
function processdata() {
//Server side validation and form processing
new Ajax.Request("/recaptchaajaxprototype/process.php",
{
method: 'post',
parameters: 'age='+$F('age'),
onComplete: showResponse
});
}
function showResponse(req){
$('show').innerHTML= req.responseText;
Recaptcha.reload();
}
</script>
<style type="text/css">
P.yellow {background-color: #ffff00;}
</style>
</head>
<body>
<h3>Form protected with Recaptcha using AJAX Prototype Framework</h3>
<form action="/recaptchaajaxprototype/recaptchavalidate.php" method="post" onsubmit="return false;">
Enter your age<br />
<input style="background-color: #FFFFC0" name="age" id="age" size="15">
<br /><br />
<?php
require_once('recaptchalib.php');
$publickey = "YOUR RECAPTCHA PUBLIC KEY HERE"; 
echo recaptcha_get_html($publickey);
?>
<input type="submit" value="Submit" onClick="sendRequest()">
</form>
<br />
Your age verification will be shown below:
<br />
<p class="yellow" id="show"></p>
<br />
</body>
</html>